petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMPlexComputeL2GradientDiff

This function computes the L_2 difference between the gradient of a function u and an FEM interpolant solution grad u_h.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexComputeL2GradientDiff(DM dm, PetscErrorCode (**funcs)(PetscInt, const PetscReal [], const PetscReal [], PetscInt, PetscScalar *, void *), void **ctxs, Vec X, const PetscReal n[], PetscReal *diff)

### Input Parameters

| dm | - The DM
| funcs | - The gradient functions to evaluate for each field component
| ctxs | - Optional array of contexts to pass to each function, or NULL.
| X | - The coefficient vector u_h
| n | - The vector to project along

### Output Parameter

diff -The diff ||(grad u - grad u_h) . n||_2

### See Also

DMPlexProjectFunction(), DMPlexComputeL2Diff()

Level:developer
Location:src/dm/impls/plex/plexfem.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages